<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE hibernate-mapping PUBLIC 
"-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping package="com.lerx.entities">
	<class name="AlbumArticleHistory" table="album_article_history" dynamic-update="true">
		<id name="id" column="id">
			<generator class="native" />
		</id>
		
		<property name="description" />
		<property name="operateDatetime" />
		
		<many-to-one name="art" column="artID" lazy="false" cascade="none" fetch="select" 
			outer-join="true" class="AlbumArticle" />
		<many-to-one name="content" column="contentID" lazy="false" cascade="none" fetch="select" 
			outer-join="true" class="AlbumArticleContent" />
		<many-to-one name="user" column="userUID" lazy="false" cascade="none" fetch="select" 
			outer-join="true" class="User" />
			
        
	</class>
</hibernate-mapping>
